import React from 'react';
import styled from 'styled-components';

export const IconUser = (props) => ( 
  <SVG xmlns="http://www.w3.org/2000/svg" viewBox="0 0 409.164 409.164" width={props.width} preserveAspectRatio="none">
      <path className="icon-user" d="M204.583 216.671c50.664 0 91.74-48.075 91.74-107.378 0-82.237-41.074-107.377-91.74-107.377-50.668 0-91.74 25.14-91.74 107.377.001 59.303 41.073 107.378 91.74 107.378zM407.164 374.717L360.88 270.454a23.23 23.23 0 0 0-10.465-11.138l-71.83-37.392a4.628 4.628 0 0 0-4.926.415c-20.316 15.366-44.203 23.488-69.076 23.488-24.877 0-48.762-8.122-69.078-23.488a4.635 4.635 0 0 0-4.93-.415L58.75 259.316a23.222 23.222 0 0 0-10.465 11.138L2.001 374.717a23.059 23.059 0 0 0 1.75 22.005 23.056 23.056 0 0 0 19.4 10.526h362.861a23.063 23.063 0 0 0 19.402-10.527 23.063 23.063 0 0 0 1.75-22.004z"/>
  </SVG>
);

const SVG = styled.svg`
  & .icon-user {
    fill: ${(props) => props.fill? props.fill : 'gray'};
  }
`